> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keywordsai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search experiment

Search experiments using filters with the V2 API.

## Authentication

* API key: `Authorization: Bearer <API key>`

## Request Body

<RequestExample>
  ```json Request theme={"system"}
  {
    "filters": {
      "name": {
        "operator": "startswith",
        "value": "K"
      }
    }
  }
  ```
</RequestExample>

## Examples

<CodeGroup>
  ```python Python theme={"system"}
  import requests

  url = "https://api.keywordsai.co/api/v2/experiments/list"
  headers = {
      "Authorization": "Bearer YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
      "filters": {
          "name": {
              "operator": "startswith",
              "value": "K"
          }
      }
  }

  response = requests.post(url, headers=headers, json=data)
  print(response.json())
  ```

  ```bash cURL theme={"system"}
  curl -X POST "https://api.keywordsai.co/api/v2/experiments/list" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "filters": {
        "name": {
          "operator": "startswith",
          "value": "K"
        }
      }
    }'
  ```
</CodeGroup>

## Response

<ResponseExample>
  ```json 200 OK theme={"system"}
  {
    "count": 1,
    "results": [
      {
        "id": "experiment_id_123",
        "name": "K Experiment",
        "dataset_id": "dataset_id_123"
      }
    ]
  }
  ```
</ResponseExample>
